package gotowe.p45_serializacja;

import java.io.Serializable;

public class Osoba extends Organizm implements Serializable {
	private static final long serialVersionUID = 123123L;
	
	public static int numerek = 4;
	
	public int wiek = 15;
	public int pensja = 1500;
	private String imie;
	private Osoba partner;

	private transient Organizm dziwnePole = new Organizm("dziwny");
	
	public Osoba getPartner() {
		return partner;
	}
	public void setPartner(Osoba partner) {
		this.partner = partner;
	}

	public Osoba(int wiek, int pensja, String imie) {
		super("Homo sapiens");
		System.out.println("Konstruktor Osoba");
		this.wiek = wiek;
		this.pensja = pensja;
		this.imie = imie;
	}

	public String toString() {
		return imie + " " + wiek +" lat zarabia "+ pensja
				+ " a dziwne pole to "+dziwnePole;
	}
}
